// Default
* {
	box-sizing: border-box;
	-webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
}

body {
 	background-color: var(--bg-color);
 	color: var(--body-color);
 	transition: color .6s, background-color .6s;
 	font-family: -apple-system,system-ui,BlinkMacSystemFont,"Segoe UI",Roboto,"Helvetica Neue",Arial,sans-serif;
  margin:0;
  padding:0;
  line-height: 1.5;
}

a:not(.button) {
	color: var(--link-color);
 	transition: opacity .3s;
	&:hover {
		opacity: .6;
	}
}

img {
	max-width: 100%;
}

.posts{
	margin-bottom: 500px;
}

#nav{
	position: relative;

		background-color: var(--bg-color);
		z-index: 999;
		padding-top: 5px;
		padding-bottom: 0px;
	border-bottom: 1px solid var(--title-color);
	margin-bottom: 20px;
	transition:transform .3s, background-color .6s, box-shadow .6s
}

.sticky{
	position: -webkit-sticky!important; /* Safari */
	position: sticky!important;
	top:0;
	left:0;
}

#nav .item{
	padding: 10px;
	display: inline-block;
	z-index: 999999;
}

#nav .toggle-theme{
	float: right;
	padding: 15px;

}
#nav a {
  text-decoration: none;
}
#nav a.active {
  font-weight: bold;
}

#post_nav{
	position: fixed;
	top:0;
	right: 0;
	padding: 20px;
}
